Pixels
api_documentation.endpoint
GET https://zapped.to/api/pixels/
Authentication
An API key with the pixels:read scope (Read pixels), sent as Authorization: Bearer YOUR_API_KEY.
api_documentation.example
curl --request GET \
--url 'https://zapped.to/api/pixels/' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--url 'https://zapped.to/api/pixels/' \
--header 'Authorization: Bearer YOUR_API_KEY' \
| api_documentation.parameters | Details | Description |
|---|---|---|
| search | api_documentation.optional api_documentation.string | api_documentation.filters.search |
| search_by | api_documentation.optional api_documentation.string | api_documentation.filters.search_by |
| type | api_documentation.optional api_documentation.string | api_documentation.allowed_values |
| datetime_field | api_documentation.optional api_documentation.string | api_documentation.allowed_values |
| datetime_start | api_documentation.optional api_documentation.string | api_documentation.filters.datetime_start |
| datetime_end | api_documentation.optional api_documentation.string | api_documentation.filters.datetime_end |
| order_by | api_documentation.optional api_documentation.string | api_documentation.filters.order_by |
| order_type | api_documentation.optional api_documentation.string | api_documentation.filters.order_by_type |
| page | api_documentation.optional api_documentation.int | api_documentation.filters.page |
| results_per_page | api_documentation.optional api_documentation.int | api_documentation.filters.results_per_page |
api_documentation.response
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-09-28 07:13:52"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://zapped.to/api/pixels?page=1",
"last": "https://zapped.to/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://zapped.to/api/pixels?page=1"
}
}
api_documentation.endpoint
GET https://zapped.to/api/pixels/{pixel_id}
Authentication
An API key with the pixels:read scope (Read pixels), sent as Authorization: Bearer YOUR_API_KEY.
api_documentation.example
curl --request GET \
--url 'https://zapped.to/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--url 'https://zapped.to/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
api_documentation.response
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-09-28 07:13:52"
}
}
api_documentation.endpoint
POST https://zapped.to/api/pixels
Authentication
An API key with the pixels:write scope (Create, change and delete pixels), sent as Authorization: Bearer YOUR_API_KEY.
| api_documentation.parameters | Details | Description |
|---|---|---|
| type | api_documentation.required api_documentation.string | api_documentation.allowed_values |
| name | api_documentation.required api_documentation.string | - |
| pixel | api_documentation.required api_documentation.string | - |
api_documentation.example
curl --request POST \
--url 'https://zapped.to/api/pixels' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://zapped.to/api/pixels' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
api_documentation.response
{
"data": {
"id": 1
}
}
api_documentation.endpoint
POST https://zapped.to/api/pixels/{pixel_id}
Authentication
An API key with the pixels:write scope (Create, change and delete pixels), sent as Authorization: Bearer YOUR_API_KEY.
| api_documentation.parameters | Details | Description |
|---|---|---|
| type | api_documentation.optional api_documentation.string | api_documentation.allowed_values |
| name | api_documentation.optional api_documentation.string | - |
| pixel | api_documentation.optional api_documentation.string | - |
api_documentation.example
curl --request POST \
--url 'https://zapped.to/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://zapped.to/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
api_documentation.response
{
"data": {
"id": 1
}
}
api_documentation.endpoint
DELETE https://zapped.to/api/pixels/{pixel_id}
Authentication
An API key with the pixels:write scope (Create, change and delete pixels), sent as Authorization: Bearer YOUR_API_KEY.
api_documentation.example
curl --request DELETE \
--url 'https://zapped.to/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--url 'https://zapped.to/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \